{% extends "page.html" %}
{% block content %}
    <section>
        <div class="container mx-auto mt-3">
            <h1 class="text-center">Live bus times</h1>
            {% for bus_route in bus_routes %}
                {% if loop.index0 is divisibleby(2) %}
                    <div class="row">
                {% endif %}
                    <div class="col-md-6 mb-3">
                        <h4 class="text-center">{{ bus_route.title|join("<br />"|safe) }}</h4>
                        <table class="table table-hover my-3">
                            <thead>
                                <tr>
                                    <th>Service</th>
                                    <th>Destination</th>
                                    <th>Expected</th>
                                    <th>Live Time</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for bus in bus_route.timetable %}
                                    <tr>
                                        <th scope="row">{{ bus.service }}</th>
                                        <td>{{ bus.destination }}</td>
                                        <td>{{ bus.expected }}</td>
                                        <td>{{ bus.live }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                {% if loop.index is divisibleby(2) or loop.last %}
                    </div>
                {% endif %}
            {% endfor %}
        </div>
    </section>
    <a
        href="{{ url_for('view.index') }}"
        class="timeout d-none"
        data-timeout={{ timeout or 60 }}>Finished
    </a>
{% endblock content %}